# Datenschutzerklärung FIT-Connect Self-Service-Portal

## Hinweise zur Verarbeitung Ihrer Daten gemäß Art. 13 der Europäischen Datenschutz-Grundverordnung (DSGVO)

Verweise auf gesetzliche Vorschriften beziehen sich auf die Europäische Datenschutz-Grundverordnung (DSGVO) sowie das Bundesdatenschutzgesetz (BDSG), das Hessische Datenschutz- und Informationsfreiheitsgesetz (HDSIG) und der Neufassung des Vertrags über die Errichtung des IT-Planungsrats und über die Grundlagen der Zusammenarbeit beim Einsatz der Informationstechnologie in den Verwaltungen von Bund und Ländern – Vertrag zur Ausführung von Artikel 91c GG vom 13. Dezember 2019 (IT-Staatsvertrag).

## Geltungsbereich
Diese Datenschutzhinweise gelten für die Nutzung des Self-Service-Portals von FIT-Connect. Für Internetseiten anderer Anbieter, auf die z. B. über Links verwiesen wird, gelten die dortigen Datenschutzhinweise und -erklärungen.

## Verantwortlichkeit
Verantwortlich für die Verarbeitung Ihrer personenbezogenen Daten ist 
```
FITKO (Föderale IT-Kooperation) AöR
vertreten durch die Präsidentin Dr. Annette Schmidt
Zum Gottschalkhof 3
60594 Frankfurt am Main
E-Mail: poststelle@fitko.de
```

## Behördliche Datenschutzbeauftragte
Die/den Datenschutzbeauftragte:n der FITKO erreichen Sie per E-Mail unter datenschutz@fitko.de oder postalisch unter

```
Persönlich/Vertraulich
Behördlicher Datenschutzbeauftragter 
der FITKO (Föderale IT-Kooperation) AöR
Björn Canders
Zum Gottschalkhof 3
60594 Frankfurt am Main 
```

## Hosting
Das FIT-Connect Self-Service-Portal wird von der 
```
FJD Information Technologies AG
Domagkstraße 7
85551, Kirchheim bei München
Bayern/Deutschland
E-Mail: briefkasten@fjd.de
```
auf Infrastruktur der
```
Global Access Internet Services GmbH
Potsdamer Str. 3
80802, München
Bayern/Deutschland
Kontaktformular: https://www.global.de/unternehmen/kontakt/#form
```
in unserem Auftrag und nach unseren Vorgaben bereitgestellt.

## Umgang mit Ihren Daten
### 1. Personenbezogene Daten
Im Rahmen des Seitenaufrufs werden von allen Besucher:innen die folgenden Daten verarbeitet: 
* Browsertyp und -version,
* verwendetes Betriebssystem,
* Webseite, von der aus Sie uns besuchen (Referrer URL),
* Webseite, die Sie besuchen,
* Datum und Uhrzeit Ihres Zugriffs,
* Ihre Internet-Protokoll (IP)-Adresse
* Setzen eines Session-Cookies, gültig bis zum Ende des Besuchs der Webseite.

Das Self-Service-Portal von FIT-Connect steht für Anwender:innen in zwei Umgebungen zur Verfügung:
* Testumgebung
* Produktivumgebung

In der Testumgebung ist derzeit eine Registrierung über die folgenden Login-Provider möglich:
* GitHub.com
* GitLab.com
* GitLab der FITKO (git.fitko.de)
Wird ein Account in der Testumgebung angelegt, werden bei der Registrierung zusätzlich die folgenden personenbezogenen Daten verarbeitet:
* Eindeutige Account-ID beim genutzten Login-Provider
* Mit dem Account verknüpfte E-Mail-Adresse

Wird ein Account auf dem Produktivsystem angelegt, werden zusätzlich die von darauf bereitgestellten personenbezogenen Daten verarbeitet. Für das Produktivsystem erfolgt die Registrierung über ein ELSTER-Online-Konto. Dabei werden folgende Daten aus dem ELSTER-Online-Konto erfasst:
* Vorname
* Nachname
* Anschrift  

Über das Self-Service-Portal können registrierte Anwender:innen Zustellpunkte für empfangende Systeme der zuständigen Fachbehörde anlegen. In diesem Rahmen werden zusätzlich folgende Daten der zuständigen Fachbehörde erfasst:
* Anschrift
* E-Mail-Adresse der technischen Ansprechperson
* Telefonnummer der technischen Ansprechperson

Personenbezogene Daten sind nach Art. 4 DSGVO alle Informationen, die sich auf eine identifizierte oder identifizierbare natürliche Person beziehen. Als identifizierbar wird eine natürliche Person angesehen, die direkt oder indirekt, insbesondere mittels Zuordnung zu einer Kennung wie einem Namen, zu einer Kennnummer, zu Standortdaten, zu einer Online-Kennung oder zu einem oder mehreren persönlichen Merkmalen identifiziert werden kann, die Ausdruck der physischen, physiologischen, genetischen, psychischen, wirtschaftlichen, kulturellen oder sozialen Identität dieser natürlichen Person sind.

### 2. Rechtsgrundlage
Rechtsgrundlage für die vorübergehende Speicherung der Daten und der Logfiles für Besucher ist Art. 6 Abs. 1 lit. e DSGVO iVm § 3 HDSIG iVm §§ 5 Abs. 1, 1 Abs. 1 S. 1 IT-Staatsvertrag. Die Verarbeitung ist für den Betrieb von FIT-Connect erforderlich. Dieses ist zur Erfüllung der gesetzlichen Aufgaben der FITKO, namentlich der Unterstützung des IT-Planungsrates und seiner Produkte und Projekte, erforderlich. 

Rechtsgrundlage für die Verarbeitung von Mitarbeiter:innen-Daten mit Account ist § 23 HDSIG. 

Rechtsgrundlage für die Verarbeitung von Account-Daten ist die Erfüllung gesetzlicher Aufgaben, Art. 6 Abs. 1 lit. e DSGVO iVm § 3 HDSIG iVm §§ 5 Abs. 1, 1 Abs. 1 S. 1 IT-Staatsvertrag, oder, inbesondere bei privatrechtlichen Nutzer:innen, der mit Anlage des Accounts abgeschlossene Vertrag, Art. 6 Abs. 1 lit. b DSGVO. 

### 3. Löschung und Weitergabe
Die Daten werden gelöscht, sobald sie für die Erreichung des Zweckes ihrer Erhebung nicht mehr erforderlich sind. Im Falle der Erfassung der Daten zur Bereitstellung der Website ist dies der Fall, wenn die jeweilige Sitzung beendet ist. Personenbezogene Daten, die für die Account-Registrierung notwendig sind sowie die in Zustellpunkten hinterlegten Daten, werden grundsätzlich nicht automatisch gelöscht. Die in Logfiles gespeicherten Daten werden spätestens nach einer Frist von sieben Tagen gelöscht.

Ein Drittstaatentransfer Ihrer Daten findet nicht statt. Eine automatisierte Entscheidungsfindung findet nicht statt.

## Ihre Rechte
Als Nutzer unseres Internetangebots haben Sie nach der Datenschutz-Grundverordnung und dem Hessischen Datenschutz- und Informationsfreiheitsgesetz verschiedene Rechte, die sich insbesondere aus Art. 15ff DSGVO ergeben:
1. Recht auf Auskunft:
Sie können nach Art. 15 DSGVO Auskunft über Ihre von uns verarbeiteten personenbezogenen Daten verlangen. In Ihrem Auskunftsantrag sollten Sie Ihr Anliegen präzisieren, um uns das Zusammenstellen der erforderlichen Daten zu erleichtern. 
2. Recht auf Berichtigung:
Sollten die Sie betreffenden Angaben nicht (mehr) zutreffend sein, können Sie nach Art. 16 DSGVO eine Berichtigung verlangen. Sollten Ihre Daten unvollständig sein, können Sie eine Vervollständigung verlangen.
3. Recht auf Löschung:
Unter den Bedingungen des Art. 17 DSGVO können Sie die Löschung Ihrer personenbezogenen Daten verlangen. Ihr Anspruch auf Löschung hängt u. a. davon ab, ob die Sie betreffenden Daten von uns zur Erfüllung unserer gesetzlichen Aufgaben noch benötigt werden.
4. Recht auf Einschränkung der Verarbeitung:
Im Rahmen der Vorgaben des Art. 18 DSGVO haben Sie das Recht, eine Einschränkung der Verarbeitung der Sie betreffenden Daten zu verlangen.
5. Recht auf Datenübertragbarkeit:
Nach Art. 20 DSGVO haben Sie das Recht auf Übertragung Ihrer personenbezogenen Daten unter den dort genannten Einschränkungen.
6. Recht auf Widerspruch:
Nach Art. 21 DSGVO haben Sie das Recht aus Gründen, die sich aus Ihrer besonderen Situation ergeben, jederzeit der Verarbeitung der Sie betreffenden Daten zu widersprechen. 
7. Recht auf Beschwerde:
Wenn Sie der Auffassung sind, dass wir bei der Verarbeitung Ihrer Daten datenschutzrechtliche Vorschriften nicht beachtet haben, können Sie sich mit einer Beschwerde an die zuständige Aufsichtsbehörde wenden:
```
Der Hessische Beauftragte für Datenschutz und Informationsfreiheit 
Gustav-Stresemann-Ring 1 
65189 Wiesbaden 
```

Stand: 01.03.2022, Version 1.0.0

CC BY 4.0 FITKO (Föderale IT-Kooperation) AöR

Dieses Werk ist lizenziert unter einer [Creative Commons Namensnennung 4.0 International Lizenz](http://creativecommons.org/licenses/by/4.0/).
