const path = require('path')

module.exports = () => {
  return {
    name: 'webpack-plugin',
    configureWebpack() {
      return {
        resolve: {
          symlinks: false,
          alias: {
            react$: require.resolve('react'),
            'react/jsx-runtime': require.resolve('react/jsx-runtime'),
            'react-dom$': require.resolve('react-dom'),
            'react-dom/server': require.resolve('react-dom/server'),
            '@mdx-js/react': require.resolve('@mdx-js/react/dist/esm'),
            '@components': path.resolve(__dirname, '../src/components'),
            '@views': path.resolve(__dirname, '../src/views'),
            '@hooks': path.resolve(__dirname, '../src/hooks'),
            '@lib': path.resolve(__dirname, '../src/lib'),
            '@icons': path.resolve(__dirname, '../src/assets/icons'),
          },
        },
      }
    },
  }
}
